vblank wait timed out on crtc 0 after screen lock on Dell Latitude e6220

Bug #1689651 reported by Thomas Nilefalk on 2017-05-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

After a screen lock, the screen hangs, with the attached stack dump in dmesg.

I've seen multiple bug reports with similar effect, but the workaround has been "video=SVIDEO-1:d" as boot parameters, but this does not affect my case. Also, the other reports, such as https://bugs.freedesktop.org/show_bug.cgi?id=93782, includes 'intel_tv_detect' which mine does not.

lspci:
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.2 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 (rev b4)
00:1c.5 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 6 (rev b4)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 RAID bus controller: Intel Corporation 82801 Mobile SATA Controller [RAID mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
02:00.0 Network controller: Broadcom Corporation BCM43228 802.11a/b/g/n
09:00.0 SD Host controller: O2 Micro, Inc. OZ600FJ0/OZ900FJ0/OZ600FJS SD/MMC Card Reader Controller (rev 05)
09:00.1 Mass storage controller: O2 Micro, Inc. Device 8231 (rev 03)

ProblemType: Bug
DistroRelease: elementary 0.4
Package: linux-image-4.4.0-77-generic 4.4.0-77.98 [origin: Ubuntu]
ProcVersionSignature: Ubuntu 4.4.0-77.98-generic 4.4.59
Uname: Linux 4.4.0-77-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.20.1-0ubuntu2.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: thoni56 1567 F.... pulseaudio
Date: Tue May 9 22:40:05 2017
HibernationDevice: RESUME=UUID=924774bb-ccbe-446b-a22e-2caa4b84f3b6
InstallationDate: Installed on 2017-05-03 (5 days ago)
InstallationMedia: Lubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Dell Inc. Latitude E6220
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-77-generic root=UUID=4238aca4-33a0-457b-81fa-81d7b2316a6c ro quiet splash video=SVIDEO-1:d vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-77-generic N/A
 linux-backports-modules-4.4.0-77-generic N/A
 linux-firmware 1.157.8
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/28/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.name: 0R97MN
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA12:bd06/28/2013:svnDellInc.:pnLatitudeE6220:pvr01:rvnDellInc.:rn0R97MN:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6220
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Thomas Nilefalk (thoni56) wrote :
Thomas Nilefalk (thoni56) wrote :
Download full text (3.1 KiB)

Don't know if the stack trace was actually attached:

[ 2205.056641] ------------[ cut here ]------------
[ 2205.056675] WARNING: CPU: 1 PID: 1240 at /build/linux-FyIZxz/linux-4.4.0/drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b5/0x1c0 [drm]()
[ 2205.056677] vblank wait timed out on crtc 0
[ 2205.056679] Modules linked in: rfcomm arc4 md4 nls_utf8 cifs fscache bnep dell_wmi sparse_keymap intel_rapl dell_rbtn x86_pkg_temp_thermal intel_powerclamp wl(POE) dell_laptop coretemp kvm_intel kvm dcdbas dell_smm_hwmon irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel snd_hda_codec_hdmi aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd cdc_mbim snd_hda_codec_idt snd_hda_codec_generic input_leds joydev snd_hda_intel uvcvideo serio_raw snd_hda_codec cfg80211 videobuf2_vmalloc snd_hda_core snd_hwdep videobuf2_memops videobuf2_v4l2 videobuf2_core v4l2_common cdc_ncm usbnet videodev btusb btrtl btbcm cdc_acm mii cdc_wdm btintel snd_pcm media bluetooth snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_seq_device snd_timer snd mei_me mei lpc_ich soundcore shpchp 8250_fintek
[ 2205.056740] dell_smo8800 mac_hid parport_pc ppdev lp parport autofs4 hid_generic usbhid hid i915 psmouse i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops ahci e1000e drm sdhci_pci libahci sdhci ptp pps_core wmi fjes video
[ 2205.056773] CPU: 1 PID: 1240 Comm: Xorg Tainted: P OE 4.4.0-77-generic #98-Ubuntu
[ 2205.056776] Hardware name: Dell Inc. Latitude E6220/0R97MN, BIOS A12 06/28/2013
[ 2205.056779] 0000000000000286 0000000061dfdaa1 ffff8800c5be3b08 ffffffff813f8493
[ 2205.056784] ffff8800c5be3b50 ffffffffc009db38 ffff8800c5be3b40 ffffffff81081302
[ 2205.056789] ffff880034c39800 0000000000000000 0000000000000000 0000000000014013
[ 2205.056794] Call Trace:
[ 2205.056803] [<ffffffff813f8493>] dump_stack+0x63/0x90
[ 2205.056810] [<ffffffff81081302>] warn_slowpath_common+0x82/0xc0
[ 2205.056815] [<ffffffff8108139c>] warn_slowpath_fmt+0x5c/0x80
[ 2205.056822] [<ffffffff810c3da5>] ? finish_wait+0x55/0x70
[ 2205.056843] [<ffffffffc006d2b5>] drm_wait_one_vblank+0x1b5/0x1c0 [drm]
[ 2205.056849] [<ffffffff810c4240>] ? wake_atomic_t_function+0x60/0x60
[ 2205.056898] [<ffffffffc0233e3a>] intel_atomic_commit+0x43a/0x6f0 [i915]
[ 2205.056925] [<ffffffffc008602f>] ? drm_atomic_set_crtc_for_connector+0x6f/0xe0 [drm]
[ 2205.056951] [<ffffffffc0087037>] drm_atomic_commit+0x37/0x60 [drm]
[ 2205.056967] [<ffffffffc015cdc6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
[ 2205.056992] [<ffffffffc0075e12>] drm_mode_set_config_internal+0x62/0x100 [drm]
[ 2205.057016] [<ffffffffc007a46c>] drm_mode_setcrtc+0x3cc/0x4f0 [drm]
[ 2205.057039] [<ffffffffc006b722>] drm_ioctl+0x152/0x540 [drm]
[ 2205.057061] [<ffffffffc007a0a0>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
[ 2205.057068] [<ffffffff81222c6f>] do_vfs_ioctl+0x29f/0x490
[ 2205.057073] [<ffffffff81211471>] ? __sb_end_write+0x21/0x30
[ 2205.057079] [<ffffffff8120f07d>] ? vfs_write+0x15d/0x1a0
[ 2205.057083] [<ffffffff81222ed9>] SyS_ioctl+0x79/0x90
[ 2205.057090] [<ffffffff8183b972>] entry_SYSCALL_64_fastpath+0x16/0x71
[ 2205.057094] ---[ end trace ab30...

Read more...

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Thomas Nilefalk (thoni56) wrote :

Here's a partial dmesg log from a locked screen to the hang with drm:debug=0xe.

Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.12 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12-rc1/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Thomas Nilefalk (thoni56) wrote :

This was actually on Elementary OS, but I've tried with a 4.2 kernel where the problem does not exist.

I've now also tries 4.12.0-041200rc1 and this input hang does not occur. Booting with this kernel does render my WiFi inoperable, though. I suppose that might happen when trying non-offical kernels, right?

tags: added: kernel-fixed-upstream
Thomas Nilefalk (thoni56) wrote :

Here's a link to my report of this to Freedesktop.org: https://bugs.freedesktop.org/show_bug.cgi?id=100992.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.